SIGSETOPS(3)

NAME
sigemptyset, sigfillset, sigaddset, sigdelset, sigismember - POSIX signal set operations.

SYNOPSIS
#include <signal.h>

int sigemptyset(sigset_t *set);

int sigfillset(sigset_t *set);

int sigaddset(sigset_t *set, int signum);

int sigdelset(sigset_t *set, int signum);

int sigismember(const sigset_t *set, int signum);

DESCRIPTION
The sigsetops(3) functions allow the manipulation of POSIX signal sets.

sigemptyset() initializes the signal set given by set to empty, with all signals excluded from the set.

sigfillset() initializes set to full, including all signals.

sigaddset() and sigdelset() add and delete respectively signal signum from set.

sigismember() tests whether signum is a member of set.

RETURN VALUE
sigemptyset(), sigfillset(), sigaddset(), and sigdelset() return 0 on success and -1 on error.

sigismember() returns 1 if signum is a member of set, 0 if signum is not a member, and -1 on error.

ERRORS

EINVAL
    sig is not a valid signal.

CONFORMING TO
POSIX.1-2001.

GLIBC NOTES
If the _GNU_SOURCE feature test macro is defined, then <signal.h> exposes three other functions for manipulating signal sets.

int sigisemptyset(sigset_t *set);
    returns 1 if set contains no signals, and 0 otherwise.

int sigorset(sigset_t *dest, sigset_t *left, sigset_t *right);
    places the union of the sets left and right in dest.

int sigandset(sigset_t *dest, sigset_t *left, sigset_t *right);
    places the intersection of the sets left and right in dest.

sigorset() and sigandset() return 0 on success, and -1 on failure.

These functions are non-standard (a few other systems provide similar functions) and their use should be avoided in portable applications.

SEE ALSO
sigaction(2), sigpending(2), sigprocmask(2), sigsuspend(2)